Bug 963320 - hgsvn does not handle file removal properly
hgsvn does not handle file removal properly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hgsvn (Show other bugs)
17
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 12:03 EDT by Dave Johansen
Modified: 2013-06-29 14:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: hgsvn-0.1.9-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:29:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johansen 2013-05-15 12:03:22 EDT
Description of problem:
hgsvn doesn't remove files from the Mercurial history


Version-Release number of selected component (if applicable):
0.1.9-4

How reproducible:
Always

Steps to Reproduce:
1. svnadmin create test
2. svn co file://$PWD/test test_svn
3. cd test_svn
4. touch temp.txt
5. svn add temp.txt
6. svn ci -m "Adding"
7. svn rm temp.txt
8. svn ci -m "Removing"
9. cd ..
10. hgimportsvn file://$PWD/test test_hg
11. cd test_hg
12. hgpullsvn
13. hg stat
14. Notice that temp.txt is displayed as missing and that the remove commit does not show up in the log

Actual results:
temp.txt not removed from Mercurial repo

Expected results:
temp.txt removed from Mercurial repo

Additional info:
I opened an Issue with upstream and there is a patch available there: https://bitbucket.org/andialbrecht/hgsvn/issue/103/fix-for-handling-removed-files-doesnt-work
Comment 1 Fedora Update System 2013-06-10 09:40:20 EDT
hgsvn-0.1.9-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hgsvn-0.1.9-5.fc18
Comment 2 Fedora Update System 2013-06-10 09:40:31 EDT
hgsvn-0.1.9-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hgsvn-0.1.9-5.fc17
Comment 3 Fedora Update System 2013-06-10 09:40:44 EDT
hgsvn-0.1.9-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hgsvn-0.1.9-5.fc19
Comment 4 Fedora Update System 2013-06-11 05:11:53 EDT
Package hgsvn-0.1.9-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hgsvn-0.1.9-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10514/hgsvn-0.1.9-5.fc18
then log in and leave karma (feedback).
Comment 5 Dave Johansen 2013-06-18 00:10:15 EDT
I'm actually running this on RHEL 6 but the fix works there and so I'm assuming it works on the other builds as well.

On a bit of a tangent, what would it take to get these added to EPEL 5 and 6. I wouldn't mind helping out by being a co-maintainer for those.
Comment 6 Terje Røsten 2013-06-18 02:01:34 EDT
I don't maintain EPEL branches (of any package), you more than welcome as EPEL maintainer and Fedora co-maintainer.
Comment 7 Dave Johansen 2013-06-18 11:30:43 EDT
How do I become the EPEL maintainer? Do I submit a package review? Or is there a different method?
Comment 8 Terje Røsten 2013-06-18 17:26:19 EDT
Here is a document to help you:

 https://fedoraproject.org/wiki/EPEL_Package_Maintainers
Comment 9 Fedora Update System 2013-06-19 00:29:06 EDT
hgsvn-0.1.9-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-06-19 00:29:17 EDT
hgsvn-0.1.9-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-06-29 14:04:19 EDT
hgsvn-0.1.9-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.